=== debian/changelog ===
developers-reference (3.3.4) unstable; urgency=low

  * Josip Rodin:
    - fixed language in the PTS section, prompted by a patch from
      Romain FRANCOISE, thank you; closes: #197741
    - updated the mailing lists section (again)
    - documented Alioth, somewhat
  * Frdric Bothamy
    - French translation updated to version 3.3.3 (more or less)
    - proofread by Patrice Karatchentzeff
  * Matt Zimmerman
    - Don't upload security updates directly to stable
    - Always include an external reference in security changelog entries
    - Be careful not to re-use a version number in security uploads
    - More explicit instructions about what is appropriate for a security
      upload

  * Adam Di Carlo
    - replace <!entity...> with <!ENTITY...> and other SGML hygenics
    - build refinements
    - Release this package as is to flush changes between June and now.
      Yes, its been an age between releases here, for which I apologize.
      Since CVS upstream for this package is back, I'm working on closing
      bugs in this package now, I just wanted to get it out as is before I
      started.

 -- Adam Di Carlo <aph@debian.org>  Sun, 29 Feb 2004 14:09:48 -0500

developers-reference (3.3.3) unstable; urgency=low

  * Frdric Bothamy
    - corrections by Michel Grentzinger
  * Raphal Hertzog
    - updated documentation concerning the PTS
    - added a paragraph about the PTS web interface
    - documented how to add custom news item in the PTS
  * Matt Zimmerman
    - updates and clarifications to instructions for security bugs
    - deprecate uploads to stable for security fixes, reference
      section on security bugs; closes: #196516
    - use dpkg-buildpackage -B to test binary-arch, not -b;
      closes: #196555
  * Adam Di Carlo
    - Sec "Managing sponsored packages": remove unnecessary 'debsign' cmd;
      closes: #192417
    - fix debconf-devel(7) man page section; closes: #189512
    - Sec "Responding to bugs": mention what FTBFS means; closes: #186605
    - Sec "Distribution directories" renamed "Distributions"
    - Sec "The testing distribution" moved under Sec "Distribution
      directories" and renamed "More information about the testing
      distribution"
    - Secs "Uploads to {stable,testing-proposed-updates}" retitled to make
      it clear these are special cases
    - Sec "Uploading to ftp-master": xref to "Delayed incoming"; 
      closes: #195997
    - check compliance with Policy version 3.5.10

 -- Adam Di Carlo <aph@debian.org>  Mon, 16 Jun 2003 04:08:29 -0400

developers-reference (3.3.2) unstable; urgency=low

  * Frdric Bothamy:
    - French translation updated to version 3.3.1
    - proofread by Philippe Batailler and Patrice Karatchentzeff
  * Adam Di Carlo:
    - French translation requires debiandoc-sgml 1.1.76 or better

 -- Adam Di Carlo <aph@debian.org>  Fri, 18 Apr 2003 09:48:59 -0400

developers-reference (3.3.1) unstable; urgency=low

  * Josip Rodin:
    - package description said it contained French and Japanese, fixed,
      closes: #182614
    - Sec "Experimental": sources.list entries
    - Sec "Basic rules for [mailing list] use": cosmetic, link to this sec
    - Sec "Handling bugs": retitle and expand section
  * Adam Di Carlo:
    - more improvements to package synopsis and description
    - the synopsis formula changed to either
       <package-name> is a <synopsis>
      or
       <package-name> is <synopsis>
      or
       <package-name> are <synopsis>
      closes: #182956
    - the synopsis itself should not start with an article
    - Sec "Best practices for debian/control": expand intro
    - fix doc-check URL; closes: #187144
    - Sec "Multiple binary packages": fix awkward wording about vim source
      package; closes: #187143

 -- Adam Di Carlo <aph@debian.org>  Fri,  4 Apr 2003 14:26:52 -0500

developers-reference (3.3) unstable; urgency=low

  * Frdric Bothamy:
    - French translation updated to version 3.2.2 (more or less)
    - proofread by Philippe Batailler
  * Raphal Hertzog:
    - added "ddtp" keyword in the PTS documentation
  * Josip Rodin:
    - split out the doc-files per language, closes: #177448
    - shuffled stuff around in the packages chapter
    - added a section describing how to handle large amounts of
      architecture-independent data bundled with programs
    - added best practices on debian/changelog files, based on a patch
      kindly provided by Daniel Kobras, closes: #166388
    - described debdiff and dpkg-depcheck, and linked to them from the
      right places in the document, closes: #172897
    - describe the current practice in writing synopsis lines,
      closes: #174161
  * Adam Di Carlo:
    - update (c) year
    - convert to debhelper (compat mode 4); maintainer scripts no longer
      needed
    - split -ja and -fr versions out into separate packages
    - top-level makefile deletes targets on error; clean is cleaner
    - replace the manual debian/control processing to show the document's
      table of contents (TOC) with a new script 'debian/tocsubstvars';
      note that the TOC displayed in the developers-reference-{fr,ja}
      package descriptions are in English until UTF8 control files are
      allowed; proper escaping of single quotes here requires newest
      debhelper
    - editorial changes on material added in this version
    - reorder "Best Packaging Practices" a bit
    - rework "Best practices for debian/control" based on contributions
      from Colin Walters, Branden Robinson, Sebastian Rittau and others;
      closes: #139957, #108416
    - primary author is developers-reference@packages.debian.org; remove
      emails from other authors to prevent spam and confusion

 -- Adam Di Carlo <aph@debian.org>  Mon, 24 Feb 2003 13:29:07 -0500

developers-reference (3.2.2) unstable; urgency=low

  * Josip Rodin:
    - slightly rewrote and updated links in the mirrors section
  * Adam Di Carlo:
    - Policy compliance checked and updated to 3.5.8, no changes needed

