=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>, Raphael Hertzog <hertzog@debian.org>
Standards-Version: 3.5.10
Build-Depends-Indep: debiandoc-sgml (>= 1.1.76), tetex-bin, tetex-extra, debhelper (>= 4.1.32)

Package: developers-reference
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers
 This package contains the Debian Developer's Reference, a set of
 guidelines and best practices which has been established by and for
 the community of Debian developers.  If you are not a Debian
 developer, you probably do not need this package.
 .
 Table of Contents:
 .
 ${TOC:en}
 .
 This package contains the English version of the Developer's
 Reference.  The Japanese translation is available in
 developers-reference-ja and the French translation is available in
 developers-reference-fr.

Package: developers-reference-fr
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in French
 This package contains the French translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-ja
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: guidelines and information for Debian developers, in Japanese
 This package contains the Japanese translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers.  If you are not a Debian developer, you probably
 do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}
