=== debian/rules ===
#!/usr/bin/make -f
# rules file for developers-reference

package		:= developers-reference

# directory abstraction
prefix		:= debian/$(package)
docdir		:= $(prefix)/usr/share/doc/$(package)
docbaserel	:= /usr/share/doc-base
docbasedir	:= $(prefix)$(docbaserel)

# list of language packages, in the form pkg-LANG; must jibe
# with debian/control, see also DATE_uc(LANG) below
langs		:= fr ja

# tool abstraction
install_file	:= install -o root -g root -m 644 -p
install_script	:= install -o root -g root -m 755 -p
make_directory	:= install -d -o root -g root -m 755
compress	:= gzip -9f

# version abstraction
DEB_VERSION	:= $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)
DEB_DATE	:= $(shell dpkg-parsechangelog 2>/dev/null | sed -n 's/^Date: *//p')
# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
DATE_EN		:= $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')
DATE_FR		:= $(shell LC_ALL=fr_FR date --date="$(DEB_DATE)" '+%d %B %Y')
DATE_JA		:= $(shell LC_ALL=ja_JP date --date="$(DEB_DATE)" '+%x')

# debhelper verbose mode
#export DH_VERBOSE=1

version.ent:	debian/changelog
	:> version.ent
	echo "<!ENTITY version \"$(DEB_VERSION)\">" >> version.ent
	echo "<!ENTITY date-en \"$(DATE_EN)\">"     >> version.ent
	echo "<!ENTITY date-fr \"$(DATE_FR)\">"     >> version.ent
	echo "<!ENTITY date-ja \"$(DATE_JA)\">"     >> version.ent

build:
	$(checkdir)
	$(MAKE)
	touch build

.PHONY: clean
clean:
	$(checkdir)
	$(MAKE) clean
	rm -f build
	dh_clean

.PHONY: test
test:
#	 nothing to test ATM

.PHONY: install
install:	build
	$(checkdir)
	$(checkroot)
	dh_clean -k

	dh_installdocs -p$(package) README-contrib developers-reference.txt \
		developers-reference.pdf developers-reference.html/*

#	 we can't make PDFs for japanese, so special handling for that
	touch developers-reference.ja.pdf
	set -e; for lang in $(langs); do \
	    dh_installdocs -p$(package)-$$lang README-contrib developers-reference.$$lang.txt \
		developers-reference.$$lang.pdf developers-reference.$$lang.html/* ;\
	done
	rm -f debian/$(package)-ja/usr/share/doc/$(package)-ja/developers-reference.ja.pdf


.PHONY: binary-indep
binary-indep:	test install
	$(checkdir)
	$(checkroot)
	dh_installdirs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	debian/tocsubstvars -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

#	 some extra-package files
#	$(install_file) developers-reference.pdf			\
#	  ../developers-reference.pdf.$(DEB_VERSION)
#	dpkg-distaddfile -fdebian/files developers-reference.pdf.$(DEB_VERSION) byhand -
#	GZIP=-9 tar czf ../developers-reference.html.tar.gz.$(DEB_VERSION)\
#	  developers-reference.html
#	dpkg-distaddfile -fdebian/files developers-reference.html.tar.gz.$(DEB_VERSION)\
#	  byhand -
#	$(install_file) developers-reference.txt			\
#	  ../developers-reference.txt
#	$(compress) ../developers-reference.txt
#	mv ../developers-reference.txt.gz				\
#	  ../developers-reference.txt.gz.$(DEB_VERSION)
#	dpkg-distaddfile -fdebian/files					\
#	  developers-reference.txt.gz.$(DEB_VERSION) byhand -

.PHONY: binary-arch
binary-arch:	build install
#	 There are no architecture-dependent files to be uploaded
#	 generated by this package.

define checkdir
	test -f debian/rules
	test -f developers-reference.sgml
endef

# Below here is fairly generic really

define checkroot
	test `id -u` = 0
endef

.PHONY: binary
binary:		binary-indep binary-arch

#Local variables:
#mode: makefile
#End:
