## developers-reference 3.3.5

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 TARGETS		:= $(foreach fmt,html txt pdf,developers-reference.$(fmt)) \
 		     $(filter-out developers-reference.ja.pdf, \
-		       $(foreach langext,.ja .fr, \
-		         $(foreach fmt,html txt pdf,developers-reference$(langext).$(fmt))))
+		       $(foreach langext,.fr, \
+		         $(foreach fmt,html txt,developers-reference$(langext).$(fmt))))
 
 # programs for creating output
 DEBIANDOC2HTML	:= debiandoc2html -c
@@ -22,8 +22,12 @@
 
 MAX_TEX_RECURSION := 5
 
-.PHONY:	all
-all:    $(TARGETS)
+.PHONY:	all dropold
+all:    $(TARGETS) dropold
+
+dropold:
+	-rm -rf developers-reference.ja.html
+
 
 .PHONY: validate
 validate:	$(addsuffix .validate,$(SOURCES))
