=== debian/changelog ===
developers-reference (3.3.5) unstable; urgency=low

  * Andreas Barth
    - uploads to more than one dist are not possible.
    - updated upload queues. Closes: #235213
    - updated URL of vanilla rules files. Closes: #237557, #252048
    - please speak with stable RM before uploading to stable. Closes: #261464
    - information on wnpp usage synced with wnpp. Closes: #255298
    - spelling, grammer fixes.
      Closes: #202444, #202499, #203202, #203378, #221902, #226208
    - add hint about partitial key id. Closes: #243968
    - spohr is restriced, and also ftp-master. Closes: #255814
    - bpp: Hint about locale generation as non-root. Closes: #208021
    - bpp: deborphan-compliant transition packages. Closes: #183654
    - add myself to uploaders.
    - add chapter about i10n. Closes: #208156
    - add information about dchroot. Closes: #211845
    - add information about NEWS.Debian. Closes: #212402
    - add information about mia-database. Closes: #213961
    - add link to debian-mentors FAQ.
    - add verbose information about the package description. Closes: #214792
    - add hint about -v<version> to experimental. Closes: #232930
    - update information about yada. Closes: #217956
    - urgency is sticky. Closes: #261914
    - updated information about testing distribution. Closes: #266649.
    - rewrote the NMU section, and
      + made the possible severities of "target bugs" clearer. Closes: #233088.
      + mention QA uploads. Closes: #202416.
      + add -B for binNMUs, and local debsign usage. Closes: #208839.
      + warning about breaking all-packages by binNMU. Closes: #213348.
    - add information about gpg usage. Closes: #175815.
    - make key replacement instructions more details. Closes: #275921
    - typo and language fixes. Thanks, Era Eriksson. Closes: #277576
    - add hints about debconf templates from Christian Perrier.
  * Matt Zimmerman
    - Security uploads get urgency=high
    - Be even more explicit about not uploading security updates
  * Frdric Bothamy
    - French translation updated to version 3.3.5

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 22 Nov 2004 19:07:26 +0100
