=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Adam Di Carlo <aph@debian.org>
-Uploaders: Manoj Srivastava <srivasta@debian.org>, Raphael Hertzog <hertzog@debian.org>
+Uploaders: Manoj Srivastava <srivasta@debian.org>, Raphael Hertzog <hertzog@debian.org>, Andreas Barth <aba@not.so.argh.org>
 Standards-Version: 3.5.10
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.76), tetex-bin, tetex-extra, debhelper (>= 4.1.32)
 
@@ -39,18 +39,3 @@
  Table of Contents (in English):
  .
  ${TOC:en}
-
-Package: developers-reference-ja
-Architecture: all
-Recommends: debian-policy
-Suggests: doc-base
-Description: guidelines and information for Debian developers, in Japanese
- This package contains the Japanese translation of Debian Developer's
- Reference (package: developers-reference), a set of guidelines and
- best practices which has been established by and for the community of
- Debian developers.  If you are not a Debian developer, you probably
- do not need this package.
- .
- Table of Contents (in English):
- .
- ${TOC:en}
