## developers-reference 3.3.6

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,9 @@
 DEBIANDOC2LATEX	:= debiandoc2latex
 DEBIANDOC2PS	:= debiandoc2latexps
 DEBIANDOC2PDF	:= debiandoc2latexpdf
+
+htmllink	:= echo "<!entity % htmltext \"INCLUDE\">" > dynamic.ent
+nohtmllink	:= echo "<!entity % htmltext \"IGNORE\">" > dynamic.ent
 
 make_directory	:= install -d -m 755
 install_file	:= install -m 644 -p
@@ -37,39 +40,49 @@
 	[ -d $(PUBLISHDIR) ] || exit 1
 	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
 	$(make_directory) $(PUBLISHDIR)/$(MANUAL)
-	$(install_file) developers-reference*.html/*.html	\
+	$(install_file) developers-reference*.html/*.html developers-reference*pdf	\
 	   $(PUBLISHDIR)/$(MANUAL)
 
 developers-reference.html:	developers-reference.sgml
-	$(DEBIANDOC2HTML) -l C $<
+	$(htmllink)
+	$(DEBIANDOC2HTML) -l en $<
 
 developers-reference.html/*:	developers-reference.html
 
 developers-reference.%.html:	developers-reference.%.sgml
+	$(htmllink)
 	$(DEBIANDOC2HTML) -l $* $<
 
 developers-reference.txt:	developers-reference.sgml
-	$(DEBIANDOC2TEXT) -l C -O $< > $@
+	$(nohtmllink)
+	$(DEBIANDOC2TEXT) -l en -O $< > $@
 
 developers-reference.%.txt:	developers-reference.%.sgml
+	$(nohtmllink)
 	$(DEBIANDOC2TEXT) -l $* -O $< > $@
 
 developers-reference.tex:	developers-reference.sgml
-	$(DEBIANDOC2LATEX) -l C -O $< > $@
+	$(nohtmllink)
+	$(DEBIANDOC2LATEX) -l en -O $< > $@
 
 developers-reference.%.tex:	developers-reference.%.sgml
+	$(nohtmllink)
 	$(DEBIANDOC2LATEX) -l $* -O $< > $@
 
 developers-reference.ps:        developers-reference.sgml
-	$(DEBIANDOC2PS) -l C $<
+	$(nohtmllink)
+	$(DEBIANDOC2PS) -l en $<
 
 developers-reference.%.ps:      developers-reference.%.sgml
+	$(nohtmllink)
 	$(DEBIANDOC2PS) -l $* $<
 
 developers-reference.pdf:       developers-reference.sgml
-	$(DEBIANDOC2PDF) -l C $<
+	$(nohtmllink)
+	$(DEBIANDOC2PDF) -l en $<
 
 developers-reference.%.pdf:     developers-reference.%.sgml
+	$(nohtmllink)
 	$(DEBIANDOC2PDF) -l $* $<
 
 version.ent:	debian/changelog
