=== debian/changelog ===
developers-reference (3.3.6) unstable; urgency=low

  * Andreas Barth
    - closes: and NMUs/experimental uploads. Closes: #284714
    - madison is on merkel.
    - more gender-neutral. Closes: #290583, #290584, #263114
    - explain current incoming. Closes: #290019
    - remove broken sponsoring URL. Closes: #291698
    - add handling hints about orig.tar.gz. Thanks, Frank. Closes: #278524
    - duplicate bug reports should be merged. Closes: #285381
    - if you're on vacation, please check whether someone needs keysigning.
      Closes: #285458
    - freenode has developer cloacks. Closes: #285687
    - cleaned up uploaders / maintainer field
    - explain how dak detects NMUs. Closes: #292354
    - add "mass" to lots of bugs. Closes: #292946
    - sync NM rules with reality.
  * Frdric Bothamy
    - French translation updated to version 3.3.6

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 23 Jan 2005 16:08:49 -0700
