=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: developers-reference
 Section: doc
 Priority: optional
-Maintainer: Adam Di Carlo <aph@debian.org>
-Uploaders: Manoj Srivastava <srivasta@debian.org>, Raphael Hertzog <hertzog@debian.org>, Andreas Barth <aba@not.so.argh.org>
+Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
+Uploaders: Andreas Barth <aba@not.so.argh.org>
 Standards-Version: 3.5.10
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.76), tetex-bin, tetex-extra, debhelper (>= 4.1.32)
 
@@ -21,8 +21,7 @@
  ${TOC:en}
  .
  This package contains the English version of the Developer's
- Reference.  The Japanese translation is available in
- developers-reference-ja and the French translation is available in
+ Reference.  The French translation is available in
  developers-reference-fr.
 
 Package: developers-reference-fr
