=== debian/changelog ===
developers-reference (3.3.7) unstable; urgency=low

  * Andreas Barth:
    - adjust information about distributions with reality.
    - add note on alioth accounts. Thanks, Phillip Kern. Closes: #306630
    - correct manpage section of dpkg-scanpackages. Closes: #297069
    - fix RFC 2440 URL. Closes: #308103
    - add $arch@buildd information. Closes: #295483
    - link to keyring.d.o for key replacement. Thanks, Martin Michlmayr.
      Closes: #298016
    - add information about Packages-arch-specific. Thanks, Frank Küster.
      Closes: #302000
    - add hint about LWN subscription. Thanks, Martin Michlmayr.
      Closes: #299217
    - more about debconf-style translation. Thanks, Christian Perrier.
      Closes: #309502
    - non-us discontinued.
    - document nmu changes wrt version tracking. Thanks, Justin Pryzby.
      Closes: #341197
    - fix spelling issues. Thanks to various people.
      Closes: #336146, #326857, #338660
    - update menu policy helpers. Thanks, Florian Ernst. Closes: #340024
    - send mia-mail to mia@qa. Thanks, Adam D. Barratt. Closes: #341568
    - Joerg Jaspert is now freenode contact. Closes: #344303
    - give a clearer description of the gpg v4-key issues. Thanks,
      Martin Michlmayr and Peter Palfrader. Closes: #317411
    - more verbose about Homepage. Closes: #339826
    - add sarge and etch. Closes: #327682
    - document severity of RoM-request bugs. Closes: #305947
    - update FSF address. Closes: #334820
    - fix P-a-s link. Closes: #341195
    - reflect binNMU changes. Closes: #349493
    - new security upload queue. Closes: #352749
    - fix experimental's sources.list entry. Closes: #347229
    - remove deprecated "Closes:..." to ACK NMU bug fixes. Closes: #353447
    - when resigning, gpg-sign your mail. Closes: #348160
    - make pristine source and repackaged origtargz anchors work.
      Closes: #351255
    - same number of RC bugs is ok. Closes: #351944
    - dpkg-source doesn't keep permissions. Thanks, Enrico Zini.
      Closes: #306120
    - also mention aspell. Closes: #320981

  * Frédéric Bothamy
    - French translation updated to version 3.3.7, proofread by Bernard Adrian
  
 -- Andreas Barth <aba@not.so.argh.org>  Sun, 09 Apr 2006 11:31:52 -0600
