=== debian/changelog ===
developers-reference (3.3.8) unstable; urgency=low

  * mia-history is replaced by mia-query. Thanks, Christoph Berg.
    Closes: #350792
  * fix missing quite. Thanks, Frank Küster. Closes: #365994
  * use gnugp instead of gpg. Thanks, Justin Pryzby, Jon Dowland.
    Closes: #376411
  * better destinction between maintainer and developer. Thanks for
    the suggestion to Colin Tuckley. Closes: #380458
  * irc.d.o points to oftc. Thanks, Christoph Biedl, Jon Dowland.
    Closes: #382721
  * Bugs are now always closed thanks to version tracking.
    Closes: #339552, #353447, #376199
  * Clarify what "a conflicts b" means in testing migration. 
    Closes: #361311
  * Packages in testing disappear if they're removed from unstable.
    Thanks, Frank Küster, Al Stone. Closes: #365993
  * Document only the most recent changelog entry is used. Thanks
    to Kevin Glynn to the suggestion. Closes: #374738
  * Add more tools for reverse depends. Close: #376582
  * delayed-queue on gluck is uploaded more often now. Closes: #397907
  * stop using capitals, minor fixes, language fixes.
    Thanks, Thijs Kinkhorst, Colin Tuckley, Russ Allbery.
    Closes: #368046, #378929, #361744
  * add CVE Ids to your changelog. Closes: #376961
  * add reasoning why debconf questions shouldn't be longer than
    20 lines. Thanks, Thijs Kinkhorst, Christian Perrier, Russ Allbery.
    Closes: #382477
  * section changing needs re-uploading orig.tar.gz.
    Thanks, Adam D. Barratt. Closes: #387154
  * binary files in diffs could be en/decoded with perl.
    Thanks, Frank Küster. Closes: #397786
  * Add pointer to new-reject-FAQ. Closes: #324967
  * Hint to dd-list/whodepends. Closes: #353874
  * Don't use too generic mail ids. Closes: #355725
  * pts/summary is actually used. Thanks, Holger Levsen. Closes: #387108
  * clarify that one should append the NMU-diff to a bug. Closes: #394033
  * more detailed instructions on binary package removals.
    Closes: #356643

  * Frédéric Bothamy
    - French translation updated to version 3.3.8

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 11 Nov 2006 10:55:44 -0700
