=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,12 @@
 
 # list of language packages, in the form pkg-LANG; must jibe
 # with debian/control, see also DATE_uc(LANG) below
-langs		:= fr ja
+langs		:= fr
 
 # tool abstraction
 install_file	:= install -o root -g root -m 644 -p
 install_script	:= install -o root -g root -m 755 -p
 make_directory	:= install -d -o root -g root -m 755
-compress	:= gzip -9f
 
 # version abstraction
 DEB_VERSION	:= $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)
@@ -62,13 +61,10 @@
 	dh_installdocs -p$(package) README-contrib developers-reference.txt \
 		developers-reference.pdf developers-reference.html/*
 
-#	 we can't make PDFs for japanese, so special handling for that
-	touch developers-reference.ja.pdf
 	set -e; for lang in $(langs); do \
 	    dh_installdocs -p$(package)-$$lang README-contrib developers-reference.$$lang.txt \
-		developers-reference.$$lang.pdf developers-reference.$$lang.html/* ;\
+		developers-reference.$$lang.html/* ;\
 	done
-	rm -f debian/$(package)-ja/usr/share/doc/$(package)-ja/developers-reference.ja.pdf
 
 
 .PHONY: binary-indep
@@ -77,7 +73,7 @@
 	$(checkroot)
 	dh_installdirs -i
 	dh_installchangelogs -i
-	dh_compress -i
+	dh_compress -i -X.pdf
 	dh_fixperms -i
 	debian/tocsubstvars -i
 	dh_installdeb -i
@@ -85,21 +81,6 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-#	 some extra-package files
-#	$(install_file) developers-reference.pdf			\
-#	  ../developers-reference.pdf.$(DEB_VERSION)
-#	dpkg-distaddfile -fdebian/files developers-reference.pdf.$(DEB_VERSION) byhand -
-#	GZIP=-9 tar czf ../developers-reference.html.tar.gz.$(DEB_VERSION)\
-#	  developers-reference.html
-#	dpkg-distaddfile -fdebian/files developers-reference.html.tar.gz.$(DEB_VERSION)\
-#	  byhand -
-#	$(install_file) developers-reference.txt			\
-#	  ../developers-reference.txt
-#	$(compress) ../developers-reference.txt
-#	mv ../developers-reference.txt.gz				\
-#	  ../developers-reference.txt.gz.$(DEB_VERSION)
-#	dpkg-distaddfile -fdebian/files					\
-#	  developers-reference.txt.gz.$(DEB_VERSION) byhand -
 
 .PHONY: binary-arch
 binary-arch:	build install
