=== debian/changelog ===
developers-reference (3.4.0) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Update Vcs-* fields after DDP's SVN restructuring. Closes: #483428.
  * Fix conditions for updates from unstable to testing. Closes: #470754.
  * linda has been removed. Remove section A.2.2. Closes: #483242.
  * Co-maintainers are listed in the Uploaders field. Closes: #483230.
  * Collaborative Maintenance: the 'global part' of debian/control
    is the first paragraph, about the source package. Closes: #483231.
  * debian-private archives are on master. Closes: #475531.
  * Mention Debian Maintainers and the debian-maintainers package.
    Closes: #483225.
  * README.contrib: document that short lines are preferred.
    Closes: #278267.
  * build-rdeps allows to list reverse build-dependencies.
    Closes: #376582.

  [ Marc 'HE' Brockschmidt ]
  * Replace abused <emphasis> tags with <literal> tags.
  * In the same spirit, wrap all uses of stable/testing/unstable and
    release codenames in <literal>
  * Remove reference to upload queue on auric in section 5.6.5, auric
    doesn't exist anymore.
  * Fix several typesetting errors and typos noticed by Sandro Tosi,
    thanks for the notes! Closes: #483223
  * Update several bits about release management/testing transitions
    and release-critical bugs. Closes: #483237, #456494
  * Update and rewrite the porting guidelines in chapter 5, bringing
    the dev-ref up to the state of porting in the year 2008. Also
    fixes several wording issues, such as possible misunderstandings
    about the need to rebuild uploads. Closes: #483226
  * Update the instructions for uploads to the (old)stable 
    distributions. Emphasize the importance of contacting the SRM
    team before upload. Closes: #459343
  * Update instructions for package removal requests. Closes: #454216
  * Clarify instructions for bug reassignment, emphasizing the
    need to inform the maintainers you reassign the bug to. Also
    hint to using cloned bugs to avoid re-reporting. Heavily based
    on patch by Marc Haber - thanks for the work! Closes: #484806
  * Clarify instructions for replacing/renaming binary packages,
    pointing out that using Provides is sometimes advisable. Closes:
    #467102
  * Update description of the madison tool (by replacing it with a
    description of the dak ls tool). Update the example while we're
    at it.
  * Update explanation of best practice for closing bugs, seems to
    have been forgotten when everything was upgraded to use
    debbugs version-tracking. Closes: #485969
  * Clarify ITP instructions and emphasize our wish that people send
    ITPs, explaining a few of the reasons. Thanks for the note,
    Thomas. Closes: #485837
  * debian/control:
     + Update Uploaders to include Lucas, Raphael and me.
     + Bump Standards-Version to 3.8.0. No changes needed!

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 13 Jun 2008 13:45:49 +0200

developers-reference (3.3.9) unstable; urgency=low

  [ Andreas Barth ]
  * Packaging changes:
    - bump standards-version to 3.7.3 (no change)
    - fix debian/copyright
    - move debhelper to Build-Depends.
    - add pdf for French version.
  * Document changes to stable release management. Closes: #414291
  * Debconf error templates no longer discouraged. Thanks,
    Christian Perrier. Closes: #427832
  * Keyring now uses RT. Closes: #428846
  * Document -dbg-packages within BPs. Thanks, Joey Hess. Closes: #420540
  * NMUs now also close bugs. Thanks, Lucas Nussbaum. Closes: #419507
  * Fix documentation about gender neutral. Closes: #384178
  * Fix typo. Closes: #405453
  * More details on how to write documentation. Thanks, Josh Triplett.
    Closes: #422750
  * Add XS-Vcs-*. Thanks to Stefano Zacchiroli. Closes: #391023
  * Small brushup to debconf description. Thanks, Thomas Huriaux.
    Closes: #401415
  * Document Team-Maintainence better. Thanks, Lucas Nussbaum.
    Closes: #410159
  * Add link to more removal ressources. Thanks, Adam D. Barratt,
    Justin Pryzby. Closes: #412757, #356720
  * Repacking source packages need to be documented in copyright.
    Thanks, Russ Allbery. Closes: #413320
  * Better describe version of debian native packages NMUs. Closes: #405818
  * Source, HTML and text are now encoded in UTF-8. Thanks, Jörg Sommer.
    Closes: #373816
  * Source is now DocBook XML instead of debiandoc. Closes: #374220

  [ Raphael Hertzog ]
  * Add a link to enrico's excellent Debian Community Guidelines.
  * Recommend the use of DSA's request tracker instead of mailing them.
  * Remove reference to #debian-sf, #debian-bsd which don't exist anymore. Put
    a reference to #debian-dpkg instead.
  * Remove all stuff concerning non-US.
  * Update information concerning Alioth.
  * Update information concerning the Package Tracking System.
  * Mention Alioth as the main resource for VCS repositories and deprecate
    cvs.debian.org.
  * Remove XS- prefix for Vcs-* fields since dpkg now supports them.
  * Document the Homepage field. Thanks, Christian Perrier. Closes:
    #445642
  * Add Vcs-Svn and Vcs-Browser fields pointing to the new SVN
    repository.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 28 Feb 2008 10:16:40 +0000
