=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
-Uploaders: Andreas Barth <aba@not.so.argh.org>
-Standards-Version: 3.5.10
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.76), tetex-bin, tetex-extra, debhelper (>= 4.1.32)
+Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Marc 'HE' Brockschmidt <he@debian.org>, Raphael Hertzog <hertzog@debian.org>
+Standards-Version: 3.8.0
+Build-Depends-Indep: docbook-xsl (>= 1.71.0), dblatex (>= 0.2), xsltproc, libxml2-utils, po4a, w3m
+Build-Depends: debhelper (>= 4.1.32)
+Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/developers-reference
+Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/developers-reference?op=log
 
 Package: developers-reference
 Architecture: all
