## developers-reference 3.4.1

=== debian/changelog ===
developers-reference (3.4.1) unstable; urgency=low

  [ Raphael Hertzog ]
  * Create a publish target in the Makefile to reenable builds on the
    website.

  [ Lucas Nussbaum ]
  * Commited DEP1: rework the whole NMU section.
    The most important changes are:
    + NMUs are now explicitely allowed for all bugs, not just "serious bugs".
    + It is recommended to use the DELAYED queue, and some example delays are
      provided.
    Other fixes:
    + Describe the process of acknowleding NMUs in a way that works
      with the BTS's version-tracking. Closes: #480723.
    + No longer mention that only DDs can do NMU. Don't make any
      distinction. Closes: #464230.
    + Switch to +nmu for NMU versioning. Closes: #437392.
    + Mention nmudiff. Closes: #483227.
  * Mention docbook-xml, and that debiandoc-sgml is deprecated. Thanks to
    W. Martin Borgert for the patch. Closes: #485689.
  * Fixed typo and example in the blurb about debug packages.
    Thanks to Theppitak Karoonboonyanan for the patch.
    Closes: #487664.
  * Update instructions on the delayed queue.
    Thanks to Thijs Kinkhorst for the patch.
    Closes: #512529.
  * Clarify wording about repackaged .orig.tar.gz.
    Thanks to Cyril Brulebois for the patch.
    Closes: #492661.
  * Improved README.contrib. Mention command to checkout the SVN
    version. Thanks to Christine Spang for the patch.
    Closes: #500371.
  * Document usertags. Thanks to Chris Lamb for the patch.
    Closes: #367876.
  * Updated documentation on translation updates.
    Thanks to Christian Perrier for the patch.
    Closes: #474879.
  * Update instructions on handling of security issues.
    Thanks to Thijs Kinkhorst for the patch.
    Closes: #512620, #510783.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 23 Jan 2009 09:57:54 +0100
